/*  
 * Copyright 2008-2010 the original author or authors 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kaleidofoundry.core.store;

/**
 * Represents a store uri scheme, that will be mapped to a kaleido {@link FileStore}
 * 
 * @author Jerome RADUGET
 */
public interface FileStoreType {

   /**
    * @return <code>false</code> if it is a default kaleido foundry implementation otherwise <code>false</code>
    */
   boolean isCustom();

   /**
    * @return the file store base uri scheme
    */
   String name();

}
